#
# spec file for package openSUSE-build-key
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openSUSE-build-key
BuildRequires:  gpg
Provides:       build-key
Conflicts:      suse-build-key
Requires:       gpg
AutoReqProv:    off
Summary:        The public gpg keys for rpm package signature verification
License:        GPL-2.0+
Group:          System/Packages
Version:        1.0
Release:        lp154.2.1
# build@suse.de for SLE11
Source0:        gpg-pubkey-307e3d54-5aaa90a5.asc
# opensuse@opensuse.org
Source1:        gpg-pubkey-3dbdc284-53674dd4.asc
# build@suse.de for SLE12 / SLE15
Source2:        gpg-pubkey-39db7c82-5847eb1f.asc
# openSUSE Backports needed since Leap 15.3
Source3:        gpg-pubkey-65176565-61a0ee8f.asc

Source98:       security_at_suse_de.asc
Source100:      dumpsigs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define keydir  %{_prefix}/lib/rpm/gnupg/keys
PreReq:         sh-utils gpg fileutils mktemp

%description
This package contains the gpg keys that are used to sign the
openSUSE rpm packages. The keys installed here are not actually
used by anything. rpm/zypper use the keys in the rpm db instead.

%prep
%setup -qcT

%build
cp %SOURCE98 .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{keydir}
for i in %sources; do
    case "$i" in
	*/gpg-pubkey-*.asc)
	install -m 644 "$i" $RPM_BUILD_ROOT%{keydir}
	;;
    esac
done
install -m 755 %{SOURCE100} $RPM_BUILD_ROOT/usr/lib/rpm/gnupg

%files
%defattr(644,root,root)
%doc security_at_suse_de.asc
%attr(755,root,root) %dir %{_prefix}/lib/rpm/gnupg
%attr(755,root,root) %dir %{keydir}
%attr(755,root,root) %{_prefix}/lib/rpm/gnupg/dumpsigs
%{keydir}/gpg-pubkey-307e3d54-5aaa90a5.asc
%{keydir}/gpg-pubkey-3dbdc284-53674dd4.asc
%{keydir}/gpg-pubkey-39db7c82-5847eb1f.asc
%{keydir}/gpg-pubkey-65176565-61a0ee8f.asc

%changelog
* Fri Dec 10 2021 Marcus Meissner <meissner@suse.com>
- refresh the openSUSE Backports key (bsc#1193092)
  - gpg-pubkey-65176565-59787af5.asc
  + gpg-pubkey-65176565-61a0ee8f.asc
- removed old security key.
- replace security key with current 2020 one.
* Fri May 21 2021 Yuchen Lin <mlin+factory@suse.de>
- Refresh the SLE15 build@suse.de key
  * Updated gpg-pubkey-39db7c82-5847eb1f.asc
* Thu Jan 28 2021 Lubos Kocman <lubos.kocman@suse.com>
- Add openSUSE Backports key to openSUSE Leap (bsc#1181344)
  This is needed because most of Leap 15.3+ packages are in fact
  build in openSUSE Backport (Closing The Leap Gap)
* Wed Mar 28 2018 meissner@suse.com
- refreshed the SLE11 build@suse.de key (bsc#1085512)
- added the SLE12 and SLE15 build@suse.de key (bsc#1087276)
  gpg-pubkey-39db7c82-5847eb1f.asc
  pub   rsa2048/0x70AF9E8139DB7C82 2013-01-31 [SC] [expires: 2020-12-06]
    Key fingerprint = FEAB 5025 39D8 46DB 2C09  61CA 70AF 9E81 39DB 7C82
  uid                             SuSE Package Signing Key <build@suse.de>
- A new security@suse.de key has been established. (bsc#1082022)
* Tue Nov 29 2016 ro@suse.de
- modify dumpsigs to deal with fingerprint lines in gpg output
* Thu Oct  2 2014 meissner@suse.com
- renamed security_at_suse_de.asc to security_at_suse_de_old.asc
- security_at_suse_de.asc: new 4096 bit RSA key.
  pub  4096R/317CD502 2014-10-02 SUSE Security Team <security@suse.de>
  bnc#899509
* Thu May 22 2014 adrian@suse.de
- replace openSUSE gpg key with extended key.
* Wed Apr 18 2012 lnussel@suse.de
- install the security@suse.de key as %%doc for offline import
* Tue Apr 17 2012 lnussel@suse.de
- remove generated key rings, no longer needed by
  installation-images and linuxrc (bnc#724625)
- remove security@suse.de key, never used for package signing
- remove old build@suse.de key, was used on sle10
- remove openSUSE\x3aFactory@build.opensuse.org key, not used anymore
- leave sle11 build@suse.de key as backup
* Tue Oct 25 2011 lnussel@suse.de
- add /usr/lib/rpm/gnupg/suse-build-key.gpg again. Needed by
  installation-images and linuxrc.
* Fri Oct 21 2011 lnussel@suse.de
- remove no longer used keys from (bnc#724625)
- clean up packaging for easier maintenance
* Wed May  5 2010 ro@suse.de
- updated keys:
  - 307E3D54 build@suse.de "SuSE Package Signing Key" (2014-05-03)
  - 7E2E3B05 novell-provo-build@novell.com "Novell Provo Build"
    (2014-05-06)
  - 9C800ACA build@suse.de "SuSE Package Signing Key" (2014-05-03)
  - 56B4177A openSUSE:Factory@build.opensuse.org
    "openSUSE:Factory OBS Project" (2014-05-04)
  - 3DBDC284 opensuse@opensuse.org "openSUSE Project Signing Key"
    (2014-05-04)
* Mon Nov 10 2008 adrian@suse.de
- add the new openSUSE build key for real
* Fri Nov  7 2008 ro@suse.de
- added new openSUSE build key 2048R/3DBDC284 expiring 2010-11-07
* Thu Sep 18 2008 adrian@suse.de
- Branch package from suse-build-key and create it as openSUSE-build-key
- Add openSUSE:Factory key as official distribution key
* Mon Jun  2 2008 ro@suse.de
- update keys again: for collaboration with rpm, the current
  self-signature needs to be the first signature found in a key
* Mon May  5 2008 ro@suse.de
- updated keys
  9C800ACA,8495160C,307E3D54: extend expiration by 2 years
  until 2010-05-05
  7E2E3B05: extend expiration by 2 years until 2010-05-24
* Mon Mar 19 2007 rguenther@suse.de
- merge suse-build-key keyring to roots gpg pubring
* Mon May 29 2006 ro@suse.de
- added new official provo dsa autobuild key ID 7E2E3B05
* Fri May 19 2006 ro@suse.de
- removed unused provo autobuild key
- added new official provo autobuild key ID A1912208
* Thu Apr 20 2006 ro@suse.de
- add dumpsigs script here to have _one_ place for the script
* Fri Mar 31 2006 ro@suse.de
- added build@suse.de rsa key ID 307E3D54
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 ro@suse.de
- use correct provo autobuild key
* Tue Oct 18 2005 ro@suse.de
- added provo autobuild signing key (#128128)
- removed jds key
* Fri May 27 2005 mls@suse.de
- added mktemp to PreReqs [#86177]
* Thu Apr 28 2005 ro@suse.de
- added JDS public key (15c17deb)
* Tue Jan 25 2005 ro@suse.de
- added OES public key (0dfb3188)
* Tue Jun 22 2004 ro@suse.de
- updated build key (expiration changed to 2008-06-21) (#42326)
* Tue Feb 24 2004 hmacht@suse.de
- building as non-root
* Tue Sep  9 2003 ro@suse.de
- ignore return code from first gpg calls
* Tue Sep  9 2003 draht@suse.de
- call gpg twice without any arguments for proper initialization
  inside postinstall
* Tue Sep  9 2003 draht@suse.de
- use temp file instead of pipe due to resource race between two
  instances of gpg in %%post.
* Thu Sep  5 2002 draht@suse.de
- package now installs key from package-owned file into the rpm
  pubring in %%post to allow other key packages to add their keys.
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Fri Jul 26 2002 kukuk@suse.de
- Change Provides from suse-build-key to build-key
* Wed Feb 20 2002 draht@suse.de
- directory permission problem: 644 -> 755.
* Mon Feb 18 2002 ro@suse.de
- moved to /usr/lib/rpm/gnupg/pubring.pgp
  rpm needs a directory as gpg_path and will use pubring.gpg
  in that directory
* Wed Feb 13 2002 draht@suse.de
- initial package. Contains
  - pub  2048R/3D25D3D9 1999-03-06 SuSE Security Team <security@suse.de>
  - pub  1024D/9C800ACA 2000-10-19 SuSE Package Signing Key <build@suse.de>
  - sub  2048g/8495160C 2000-10-19 [expires: 2006-02-12]
